clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::CompletionList Struct Reference

Represents a collection of completion items to be presented in the editor. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::CompletionList:
[legend]

## Public Attributes
bool | isIncomplete = false
| The list is not complete. More...
std::vector< CompletionItem > | items
| The completion items. More...

## Detailed Description

Represents a collection of completion items to be presented in the editor.

Definition at line 1017 of file Protocol.h.

## Member Data Documentation

## ◆ isIncomplete

bool clang::clangd::CompletionList::isIncomplete = false

The list is not complete.

Further typing should result in recomputing the list.

Definition at line 1020 of file Protocol.h.

## ◆ items

std::vector<CompletionItem> clang::clangd::CompletionList::items

The completion items.

Definition at line 1023 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h